<?php

declare(strict_types=1);

namespace CalendarPlugin\Contracts;

interface OptionsAdapterInterface
{
    public function get(string $key, mixed $default = false): mixed;

    public function set(string $key, mixed $value, bool $autoload = true): bool;

    public function delete(string $key): bool;
}
